avahi (0.7-4+deb10u1) buster; urgency=medium

  [ Simon McVittie ]
  *  Remove avahi-daemon-check-dns mechanism, no longer needed.
    Thanks to Trent Lloyd, Sebastien Bacher (LP: #1870824)
    (Closes: #433945, #559927, #629509, #747895, #878586, #898038, #929010)

  [ Sjoerd Simons ]
  * Don't remove avahi-daemon postdown symlink in maintscript

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 13 Feb 2021 20:35:49 +0100

avahi (0.7-4) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * Refresh patches through gbp pq
    - d/p/no-systemd-also.patch: Convert to git-style format
  * Use DEP-14 branch names debian/master, upstream/latest
  * Update Vcs-Git, Vcs-Browser for salsa.debian.org
  * d/rules: Specify that we are building for a Debian derivative,
    instead of letting it be autodetected (partially addresses #873596)
  * d/p/Remove-empty-avahi_discover-Python-module.patch:
    Don't install an empty library module into the avahi-discover package
  * Bump Standards-Version to 4.1.4

  [ Mario Lang ]
  * Install examples into the relevant -dev packages (Closes: #768595)

 -- Simon McVittie <smcv@debian.org>  Fri, 27 Apr 2018 11:59:11 +0100

avahi (0.7-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/p/no-systemd-also.patch:
    - cherry-pick Ubuntu build fix for new systemd (Closes: #880036)
      Thanks Steve Langasek for the patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Feb 2018 15:51:42 +0100

avahi (0.7-3) unstable; urgency=medium

  * Brown paper bag release.
  * Don't hard-code architecture in gir1.2-avahi-0.6.install.
    Otherwise we FTBFS on everything but amd64.

 -- Michael Biebl <biebl@debian.org>  Mon, 18 Sep 2017 23:25:27 +0200

avahi (0.7-2) unstable; urgency=medium

  * Drop shlibs files.
    Those are no longer necessary as all libraries provide symbols files
    nowadays.
  * Enable gobject introspection support.
    The typelib files for libavahi-gobject are split into a new package
    named gir1.2-avahi-0.6.
  * Handle socket activation in avahi-daemon-check-dns.sh when using systemd.
    To completely stop avahi-daemon under systemd the avahi-daemon.socket
    unit needs to be stopped as well. (Closes: #847456)

 -- Michael Biebl <biebl@debian.org>  Sun, 17 Sep 2017 23:43:27 +0200

avahi (0.7-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * New upstream version 0.7
    - All default rlimits have been removed from avahi-daemon.conf.
      Those were causing crashes due to OOM and failure to start in LXC
      containers. (Closes: #841926, #856311)
  * Drop d/p/0001-avahi-autoipd-fix-dhclient-hooks-to-check-for-avahi-.patch
    - now included in upstream release.
  * Remove (Gtk+ 2.x) libavahi-ui{0,-dev} packages (Closes: #870785)
  * Add patch to also install manpages when not building gtk2
    - debian/patches/fix-manpage-install-conditions.patch
  * Remove libavahi-qt4-{1,dev} packages (Closes: #874832)
  * Stop shipping /usr/share/avahi/service-types
  * Add one new symbol to libavahi-gobject0.symbols

  [ Michael Biebl ]
  * Update (build-)dependencies for the switch from pygtk2 to pygobject/gtk3
  * Setup gbp pq to use patches without patch numbers
  * Add missing bshell.1 symlink (Closes: #655190)
  * Fix reference to avahi-autoipd.action(8) in avahi-autoipd(8)
    (Closes: #840833)
  * Do not install upstream ChangeLog file.
    It is autogenerated by gettexize and doesn't contain any useful
    information. It also breaks multi-arch and reproducibility.
    For user visible changes please consult the NEWS file instead.
    (Closes: #804134)
  * Bump Standards-Version to 4.1.0
  * Bump debhelper compat level to 10
  * Explicitly disable introspection support.
    We don't provide any introspection packages yet (but might in the
    future). For the time being use --disable-introspection to get more
    reliable build results.
  * Switch to dh_missing and abort on uninstalled files
  * Use /usr/share/dpkg/architecture.mk include to get DEB_HOST_ARCH_OS

 -- Michael Biebl <biebl@debian.org>  Sun, 17 Sep 2017 20:45:19 +0200

avahi (0.6.32-2) unstable; urgency=medium

  [ Christian Hofstaedtler ]
  * Ensure dhclient exit hook does not trigger an error if avahi-autoipd is
    not running. (Closes: #852256)

 -- Michael Biebl <biebl@debian.org>  Mon, 23 Jan 2017 09:41:58 +0100

avahi (0.6.32-1) unstable; urgency=medium

  [ Michael Biebl ]
  * Update debian/watch to track new upstream releases on GitHub.
  * New upstream release. All dfsg unfree files have been removed, so
    repacking is no longer required. Drop debian/README.source accordingly.
  * Install man pages via .install files, so they don't show up in
    --list-missing.
  * Drop dbg package now that we have automatic dbgsym packages.
    Ensure proper upgrade from avahi-dbg to new dbgsym packages by using
    dh_strip --dbgsym-migration. Bump Build-Depends on debhelper accordingly
    and add versioned Build-Depends on dpkg-dev.
  * Mark -dev packages as Multi-Arch: same. (Closes: #731362)
  * Bump Standards-Version to 3.9.8.
  * avahi-autoipd: fix dhclient hooks to check for avahi-autoipd
    before trying to run it. (Closes: #809539)

  [ John Paul Adrian Glaubitz ]
  * Add a stage1 build profile which disables GTK, Qt4 and Python-GTK bindings
    in order to reduce build dependencies. (Closes: #734669)

 -- Michael Biebl <biebl@debian.org>  Mon, 27 Jun 2016 22:54:00 +0200

avahi (0.6.32~rc+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Don't log warnings about invalid packets, commonly triggered by Windows
      10 systems (Closes: #639163)
    - Drop debian/patches/01_avahi-daemon.conf.patch,
      d/p/avahi-core-reserve-space-for-record-data-when-size-estimate.patch,
      d/p/suse-patch-gtk-box.patch, d/p/no-deprecations.patch,
      d/p/so_reuseport-may-not-exist-in-running-kernel.patch, merged upstream.
  * debian/control: Bump Standards-Version to 3.9.6 (no further changes)
  * debian/rules: Ask dh_autoreconf to run the autogen.sh script
  * debian/control: Add dh-python to the build-dependencies

 -- Laurent Bigonville <bigon@debian.org>  Wed, 04 Nov 2015 21:47:52 +0100

avahi (0.6.31-5) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Recommend iproute2 instead of transitional package iproute.
  * Update avahi-daemon support scripts to use iproute2 tools if available
    with a fallback to net-tools and graceful degradation if neither is
    installed. (Closes: #762326)

  [ Michael Biebl ]
  * Don't run the avahi-autoipd ifupdown hook scripts if the package has been
    removed but not purged. (Closes: #780872)
  * Use --restart-after-upgrade for avahi-daemon and avahi-dnsconfd to
    minimise downtime and avoid avahi-daemon being triggered via socket or
    D-Bus activation during upgrades. (Closes: #768620)
  * Mask avahi-daemon.service on remove to avoid the stop request being
    cancelled via socket or D-Bus activation.

 -- Michael Biebl <biebl@debian.org>  Mon, 13 Apr 2015 21:51:24 +0200

avahi (0.6.31-4) unstable; urgency=medium

  * Team upload.
  * d/p/so_reuseport-may-not-exist-in-running-kernel.patch: Do not exit
    avahi-daemon if we cannot set SO_REUSEPORT on the socket. This patch has
    be taken from Ubuntu, thanks to them (Closes: #732009)
  * debian/patches/avahi-core-reserve-space-for-record-data-when-size-estimate.patch:
    avahi-core: reserve space for record data when size estimate. This
    prevents avahi-daemon from falling into an invalid loop when many CUPS/IPP
    printer shares get registered (Closes: #693604)
  * debian/libavahi-core7.symbols: Add 2 new symbols exported by the previous
    patch
  * debian/patches/suse-patch-gtk-box.patch: Don't use GTK vbox API which is
    deprecated when compiling for GTK3.
  * debian/control: Bump Standards-Version to 3.9.5 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 26 Dec 2013 18:24:41 +0100

avahi (0.6.31-3) unstable; urgency=low

  * Team upload.
  [ Laurent Bigonville ]
  * debian/control: Use canonical URL's for Vcs-* fields
  * debian/avahi-daemon.init: Add "avahi-daemon" to the Provides list
    (Closes: #730546)
  * debian/avahi-dnsconfd.init: Depend against the new avahi-daemon Provides
  * debian/avahi-daemon.links, debian/avahi-dnsconfd.links, debian/control,
    debian/rules: Do not explicitly create systemd symlinks but rely on
    dh-systemd to do the correct thing
  * debian/control: Drop duplicate Section to please lintian
  * debian/control: Bump Standards-Version to 3.9.4 (no further changes)
  * debian/control, debian/rules: Update config.{guess,sub} during the build
  * debian/rules: Use debhelper 9 preferred way to set LDFLAGS (Closes: #662204)
  * debian/rules: Pass --as-needed to dh_autoreconf and add it to LDFLAGS to
    limit runtime dependencies
  * debian/avahi-daemon.init, avahi-dnsconfd.init: Fix initscripts to return
    an error in the appropriate cases (Closes: #718716)

  [ Hector Oron ]
  * debian/patch/no-deprecations.patch: Don't disable deprecated functions
    (Closes: #729124)
  * debian/rules: run autoreconf at build time.
  * debian/control: add dh-autoreconf build depend

 -- Laurent Bigonville <bigon@debian.org>  Sat, 07 Dec 2013 16:24:13 +0100

avahi (0.6.31-2) unstable; urgency=low

  * Use recommended maintscript versioning scheme.
  * The avahi-dnsconfd init script doesn't support reload but provides a
    refresh action, so list that instead in the usage help message.
  * Update ifupdown hooks for avahi-daemon and avahi-autoipd. Drop the usage
    of ADDRFAM=NetworkManager, since network-manager no longer uses that. Run
    avahi-daemon only for ADDRFAM inet and inet6. (Closes: #699749)

 -- Michael Biebl <biebl@debian.org>  Wed, 06 Mar 2013 22:58:55 +0100

avahi (0.6.31-1) unstable; urgency=low

  * New upstream release.
  * Mark private stdb_* symbols in libavahi-ui and libavahi-ui-gtk3 as
    optional.
  * Bump Build-Depends on debhelper to (>= 9).
  * Bump Standards-Version to 3.9.3. No further changes.
  * Use new dh_installdeb maintscript facility to (re)move the old conffiles
    for avahi-autoipd and avahi-dnsconfd.

 -- Michael Biebl <biebl@debian.org>  Sun, 04 Mar 2012 05:23:49 +0100

avahi (0.6.30-6) unstable; urgency=low

  * Switch to dh_python2. (Closes: #637552)
  * Simplify postinst for avahi-autoipd and avahi-daemon.
  * Rebuild to enable hardened build flags. (Closes: #655188)
  * Use term GLib consistently in the package description. (Closes: #633783)

 -- Michael Biebl <biebl@debian.org>  Tue, 10 Jan 2012 00:59:49 +0100

avahi (0.6.30-5) unstable; urgency=low

  * debian/control: Make python-avahi Architecture: any so the path to
    service-types.db in ServiceTypeDatabase.py is correctly set.
    (Closes: #632437)

 -- Michael Biebl <biebl@debian.org>  Sat, 02 Jul 2011 10:37:15 +0200

avahi (0.6.30-4) unstable; urgency=low

  * Add multiarch support. Patch courtesy of Steve Langasek. (Closes: #631836)

 -- Michael Biebl <biebl@debian.org>  Fri, 01 Jul 2011 02:28:05 +0200

avahi (0.6.30-3) unstable; urgency=low

  * Enable GTK3 support. (Closes: #610772)
    - Add Build-Depends on libgtk-3-dev.
    - Add libavahi-ui-gtk3-0 and libavahi-ui-gtk3-dev package.
    - Make libavahi-ui-gtk3-dev conflict with libavahi-ui-dev, as both
      packages ship the same header file.
    - Pass --enable-gtk3 to configure.

 -- Michael Biebl <biebl@debian.org>  Fri, 29 Apr 2011 16:50:38 +0200

avahi (0.6.30-2) unstable; urgency=low

  * Remove Qt3 integration library. With KDE3 gone, there is no more package
    using it. (Closes: 604341)
    - Drop Build-Depends on libqt3-mt-dev.
    - Drop libavahi-qt3-1 and libavahi-qt3-dev package.
    - Update debian/rules, pass --disable-qt3 to configure.
  * Remove libtool .la files for libavahi-client and libavahi-common.
  * Stop cleaning up dependency_libs from libtool .la files. No longer
    required as we don't install any .la files anymore.
  * Bump Standards-Version to 3.9.2. No further changes.

 -- Michael Biebl <biebl@debian.org>  Mon, 11 Apr 2011 04:44:42 +0200

avahi (0.6.30-1) unstable; urgency=low

  * New upstream release.
    - iface: look for both IFA_ADDRESS and IFA_LOCAL. (Closes: #617948)

 -- Michael Biebl <biebl@debian.org>  Mon, 04 Apr 2011 02:45:41 +0200

avahi (0.6.29-1) unstable; urgency=low

  * New upstream release.
  * Remove patches, merged upstream
    - debian/patches/03_read_null_udp_packets.patch
    - debian/patches/04-fix_netlink_flags_for_dump_operations.patch
  * debian/avahi-daemon.links
    - Enable avahi-daemon by default when using systemd, so it can be started
      via D-Bus activation, socket activation and multi-user.target.
  * debian/avahi-dnsconfd.links
    - Enable avahi-dnsconfd by default when using systemd. It will be started
      by multi-user.target.

 -- Michael Biebl <biebl@debian.org>  Fri, 11 Mar 2011 01:58:46 +0100

avahi (0.6.28-5) unstable; urgency=low

  * debian/rules
    - Enable stack smashing protector for all architectures and let configure
      check if it is supported.
  * debian/patches/04-fix_netlink_flags_for_dump_operations.patch
    - Use correct flag combination for rtnetlink dump operations.
      Thanks to Pablo Neira Ayuso for the patch. (Closes: #610281)

 -- Michael Biebl <biebl@debian.org>  Mon, 07 Mar 2011 10:35:51 +0100

avahi (0.6.28-4) unstable; urgency=high

  * Bump debhelper compatibility level to 8 and update build dependency
    on debhelper accordingly.
  * debian/patches/03_read_null_udp_packets.patch
    - Read NULL UDP packets else we end up in an infinite loop using 100% CPU
      and DoS of Avahi. (Closes: #614785, Fixes: CVE-2011-1002)
  * Urgency high for the security fix.

 -- Michael Biebl <biebl@debian.org>  Wed, 23 Feb 2011 15:34:21 +0100

avahi (0.6.28-3) unstable; urgency=low

  * debian/avahi-daemon.init
    - Map force-reload action to reload, not restart.
    - Stop trying to load the capability kernel module. Capabilities support
      is enabled by default and can no longer be built as a module.
    - Don't check daemon status twice on restart.
    - General cleanup and white space fixes.
  * debian/avahi-dnsconfd.init
    - Don't check daemon status twice on restart.
    - Don't map reload action to restart as it does not belong there.
      Reload should probably be an alias for refresh, but drop it for now.
    - General cleanup and white space fixes.
  * Remove avahi-autoipd compat symlinks for dhcp3-client.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Mon, 07 Feb 2011 03:54:51 +0100

avahi (0.6.28-2) experimental; urgency=low

  * debian/rules: Fix and simplify .la dependency_libs cleanup.
  * Stop installing libtool .la files for those packages which have no more
    reverse dependencies.
  * Remove pre-lenny upgrade code from maintainer scripts.

 -- Michael Biebl <biebl@debian.org>  Wed, 01 Dec 2010 21:21:24 +0100

avahi (0.6.28-1) experimental; urgency=low

  * New upstream release.
  * Remove debian/patches/02_avahi_client.patch, merged upstream.
  * Move from cdbs to dh
    - Drop Build-Depends on cdbs.
    - Bump Build-Depends on debhelper to (>= 7.0.50~) for override targets.
    - Convert debian/rules to use dh.
    - Drop debian/clean-la.mk (merged into debian/rules).
  * Install systemd unit files for avahi-daemon and avahi-dnsconfd.
  * Install D-Bus system service file for avahi-daemon.

 -- Michael Biebl <biebl@debian.org>  Thu, 18 Nov 2010 08:05:00 +0100

avahi (0.6.27-3) unstable; urgency=low

  * debian/control
    - Update Vcs-* fields: Move packaging from svn to git.
    - Bump Standards-Version to 3.9.1. No further changes.
  * debian/patches/02_avahi_client.patch
    - Replace patch with upstream commit 9a4db66 which uses Ping() to test
      whether avahi is around.

 -- Michael Biebl <biebl@debian.org>  Thu, 18 Nov 2010 05:47:11 +0100

avahi (0.6.27-2) unstable; urgency=low

  * Added debian/patches/02_avahi_client.patch:
    - Let the client check if the daemon is already running instead of just
      trying to start it, which doesn't work if there is no service file (the
      service file is just meant for systems using system.d) (Closes: #590760)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 15 Aug 2010 23:29:26 +0100

avahi (0.6.27-1) unstable; urgency=low

  * New upstream release.
  * Remove patches
    - debian/patches/02_have_gtk2_build_fix.patch (merged upstream)
    - debian/patches/26_am_maintainer_mode.patch (no longer required)
    - debian/patches/99_autoreconf.patch (no longer required)
  * Drop Howl compatibility library. (Closes: #588389)
    Development of the original Howl implementation has been discontinued and
    there are no more reverse dependencies in the Debian archive since lenny.

 -- Michael Biebl <biebl@debian.org>  Sun, 25 Jul 2010 23:20:51 +0200

avahi (0.6.26-1) unstable; urgency=low

  * New upstream release.
    - Make avahi limits configurable instead of setting them during compile
      time and bump up the default limits. (Closes: #557931)
    - Clarify avahi-daemon.conf.5 man page. (Closes: #549445)
    - Don't ignore mDNS response records containing link-local addresses.
      (Closes: #567067)
  * Remove patches that were merged upstream
    - debian/patches/11_avahi-autoipd.action-add-routes.patch
    - debian/patches/15-manpage-typo-fixes.patch
    - debian/patches/20_avahi-daemon_kfreebsd.patch
    - debian/patches/25_check_net_if_dl_h_for_pfroute.patch
    - debian/patches/30_dont_reflect_link-local_addresses.patch
  * debian/patches/02_have_gtk2_build_fix.patch
    - Fix build for systems that have gtk2 but no gtk3.
  * debian/patches/99_autoreconf.patch
    - Refresh for new upstream release.
  * debian/rules
    - Disable gtk3 support.
  * debian/avahi-daemon.install
    - Install interfaces into standard D-Bus interfaces directory.
  * debian/{avahi-autoipd.install,rules}
    - The dhclient hooks are installed to /etc/dhcp by upstream now.
  * Bump libavahi-core soname from 6 to 7.
  * Replace libglade with GtkBuilder
    - Drop Build-Depends on libglade2-dev.
    - Bump Build-Depends on libgtk2.0-dev to (>= 2.14.0).
    - Update debian/avahi-discover.install for avahi-discover.ui.
  * Update debian/python-avahi.install and debian/avahi-discover.install for
    python dist-packages transition.
  * Bump Standards-Version to 3.9.0. Use architecture wildcard linux-any for
    the libcap-dev Build-Depends and avahi-autoipd.
  * Remove AVAHI_DNSCONFD_START option because we start avahi-dnsconfd by
    default anyway. As /etc/default/avahi-dnsconfd is now empty, remove it on
    upgrades.
  * debian/libavahi-common-data.install
    - Install avahi gettext translations.
  * debian/avahi-daemon.examples
    - Install sftp-ssh.service file. (Closes: #389336)
  * debian/control
    - Recommend isc-dhcp-client instead of dhcp3-client.

 -- Michael Biebl <biebl@debian.org>  Wed, 07 Jul 2010 23:38:16 +0200

avahi (0.6.25-4) unstable; urgency=low

  * Switch to source format 3.0 (quilt)
    - Add debian/source/format.
    - Drop quilt from Build-Depends.
    - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk from debian/rules.
  * Bump Standards-Version to 3.8.4. No further changes.
  * Move dhclient hooks from /etc/dhcp3/ to /etc/dhcp/ as isc-dhcp-client
    (ISC DHCP v4) uses this new location. Create symlinks for dhcp3-client
    and preserve any local modifications. (Closes: #583992)

 -- Michael Biebl <biebl@debian.org>  Sat, 26 Jun 2010 01:44:57 +0200

avahi (0.6.25-3) unstable; urgency=low

  * debian/control
    - Fix package description for libavahi-gobject0. (Closes: #528916)
    - Change section of avahi-ui-utils to utils. (Closes: #560830)
    - Bump Standards-Version to 3.8.3. No further changes.
  * debian/patches/20_avahi-daemon_kfreebsd.patch
    - Fix avahi-daemon on GNU/kFreeBSD. (Closes: #564607)
      Thanks to Julien BLACHE for the patch.
  * debian/patches/25_check_net_if_dl_h_for_pfroute.patch
    - Fix build failure on GNU/Hurd by improving the configure check to also
      test for net/if_dl.h so the correct backend is used. (Closes: #558975)
      Thanks to Pino Toscano for the patch.
  * debian/patches/26_am_maintainer_mode.patch
    - Set AM_MAINTAINER_MODE as it makes patching the build system less
      painful.
  * debian/patches/99_autoreconf.patch
    - Run autoreconf as 25_check_net_if_dl_h_for_pfroute.patch changes the
      build system.
  * debian/patches/30_dont_reflect_link-local_addresses.patch
    - Don't reflect link-local IPv4 or IPv6 addresses. (Closes: #517160)
      Patch pulled from upstream, original patch by Rob Leslie, thanks!
  * debian/libavahi-core6.symbols
    - Add new symbols that were introduced by
      30_dont_reflect_link-local_addresses.patch.
    - Tag the avahi_netlink_* symbols as arch=linux-any.
      This makes the arch specific symbols files for libavahi-core6 obsolete,
      so remove them.
  * debian/avahi-daemon.postrm
    - Cleanup /var/run/avahi-daemon on "purge". (Closes: #448539)
  * debian/avahi-autoipd.postrm
    - Cleanup /var/run/avahi-autoipd on "purge". (Closes: #527925)

 -- Michael Biebl <biebl@debian.org>  Thu, 14 Jan 2010 00:47:50 +0100

avahi (0.6.25-2) unstable; urgency=low

  [ Michael Biebl ]
  * debian/patches/15-manpage-typo-fixes.patch
    - Fix a few typos in the man pages (s/seperated/separated/).
      Thanks to A. Costa for the patch. (Closes: #525268)

  [ Sjoerd Simons ]
  * debian/avahi-daemon-check-dns.sh
    + Also check for a default route before checking the DNS (Closes: #551651)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 22 Nov 2009 22:46:03 +0000

avahi (0.6.25-1) unstable; urgency=low

  * New upstream release.
  * Use set -e instead of #!/bin/sh -e for all maintainer and shell scripts.
  * debian/patches/02-avahi-daemon-dbus-policy.patch
    - Removed, merged upstream.
  * debian/patches/03-avahi-daemon-reflector-packet-storm.patch
    - Removed, merged upstream.

 -- Michael Biebl <biebl@debian.org>  Fri, 17 Apr 2009 13:21:58 +0200

avahi (0.6.24-3) unstable; urgency=low

  * Switch patch management system to quilt.
  * debian/control
    - Change Section of avahi-dbg to debug.
    - Bump Standards-Version to 3.8.1. No further changes.
    - Change Build-Depends on libcap2-dev to libcap-dev. Tighten the version
      to (>= 1:2.16) to ensure we don't pick up any old libcap1 version.
      (Closes: #520836)
  * debian/patches/03-avahi-daemon-reflector-packet-storm.patch
    - Fix a bug in avahi-daemon that could cause packet storms when reflecting
      legacy unicast mDNS traffic. (Closes: #517683)
      SECURITY: CVE-2009-0758
      Thanks to Rob Leslie for the patch.
  * debian/python-avahi.examples
    - Install avahi-bookmarks as example in
      /usr/share/doc/python-avahi/examples/. (Closes: #368566)
  * debian/avahi-daemon.init
    - Check for DISABLE_TAG *and* AVAHI_DAEMON_DETECT_LOCAL != 0 before
      disabling the avahi-daemon service. (Closes: #517211)
      Thanks to Reed Hedges for the fix.
    - Remove some old cruft.

 -- Michael Biebl <biebl@debian.org>  Mon, 30 Mar 2009 00:00:51 +0200

avahi (0.6.24-2) unstable; urgency=low

  * Merge changes from experimental branch.
  * debian/compat
    - Bump to debhelper v7 compat mode.
  * debian/control
    - Bump debhelper Build-Depends to (>= 7).
    - Replace Recommends: xvncviewer with vnc-viewer for avahi-ui-utils.
      The xvncviewer package is no longer available from the archive
      (superseded by xvnc4viewer). We use the virtual package instead.
    - Bump Standards-Version to 3.8.0. No further changes.
    - Remove ancient Conflicts/Replaces from pre-oldstable (sarge).
    - Add ${misc:Depends} to all binary packages.
  * debian/rules
    - Remove DEB_SHLIBDEPS_INCLUDE, dpkg-shlibdeps works fine without it
      nowadays.
    - Remove clean-up rule in pre-build, fixed upstream.
  * debian/libavahi-core6.symbols.hurd-i386
    - Add symbols file for hurd-i386, copied from
      libavahi-core6.symbols.kfreebsd-i386. (Closes: #508895)
  * Use dh_installifupdown to install the ifupdown hook scripts for
    avahi-daemon and avahi-autoipd.
  * debian/patches/02-avahi-daemon-dbus-policy.patch
    - Update D-Bus policy and fix deny rule by adding
      send_destionation="org.freedesktop.Avahi". (Closes: #510653)

 -- Michael Biebl <biebl@debian.org>  Tue, 17 Feb 2009 18:30:27 +0100

avahi (0.6.24-1) experimental; urgency=low

  * New upstream release
  * debian/patches/14_CVE-2008-5081.patch:
    - Removed. Fixed upstream
  * debian/patches/01_avahi-daemon.conf.patch:
    - Updated.
  * debian/patches/02_avahi-ui.disable-translations.patch:
    - Removed. No longer needed
  * Bump libavahi-core soname from 5 to 6

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 14 Dec 2008 22:26:40 +0000

avahi (0.6.23-4) unstable; urgency=low

  * debian/avahi-{daemon,dnsconfd}.postinst
    - When upgrading the init script priorities, check if the service is
      enabled for the default runlevel before removing the old init script
      symlinks to avoid accidentally re-enabling it. (Closes: #499815)

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Jan 2009 23:22:59 +0100

avahi (0.6.23-3) unstable; urgency=low

  [ Loic Minier ]
  * Generate a POT file during build; helps downstreams such as Ubuntu import
    an always up-to-date pot, even we patch the source of upstream forgets to
    do so; from Ubuntu; thanks Martin Pitt; closes: #486908.

  [ Michael Biebl ]
  * debian/avahi-daemon-check-dns.sh
    - Fix quoting error in dns_has_local().
      Thanks to James Westby for the patch. (Closes: #492466)

  [ Sjoerd Simons ]
  * debian/patches/14_CVE-2008-5081.patch
    - Added. Don't abort on receiving an UDP packet with a source port of zero.
      Fixes CVE-2008-5081 (Closes: #508700)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 14 Dec 2008 19:39:58 +0000

avahi (0.6.23-2) unstable; urgency=low

  * debian/control
    - Add myself to Uploaders.
    - Build against libcap2 instead of libcap1 to avoid kernel warning about
      using legacy support of 32-bit capabilities. Add a Build-Depends on
      libcap2-dev (>= 2.10) to avoid possibly insecure use of v2 capabilities.
      Thanks to Ted Percival for the patch. (Closes: #464712)
    - Fix spelling of GTK+ in description.
    - Drop -1 revision from python-gdbm build dependency.
  * debian/libavahi-gobject0.symbols
    - Fix incorrect package name and #MINVER# stanza. (Closes: #488947)
  * debian/patches/02_avahi-ui.disable-translations.patch
    - Disable translatable strings in the avahi-ui desktop files. The build
      system doesn't process them correctly yet and we end up with broken
      desktop files otherwise.

 -- Michael Biebl <biebl@debian.org>  Sat, 05 Jul 2008 13:49:06 +0200

avahi (0.6.23-1) unstable; urgency=low

  [ Michael Biebl ]
  * debian/libavahi-qt3-1.symbols, debian/libavahi-qt4.so.1.symbols
    - Set the correct package names in the symbols files. (Closes: #486595)

  [ Sjoerd Simons ]
  * debian/libavahi-core5.symbols.kfreebsd-amd64,
    libavahi-core5.symbols.kfreebsd-i386:
    - Add symbol files for kfreebsd (Closes: #485690)
  *  debian/libavahi-gobject0.symbols
    - Add symbols file for libavahi-gobject
  * New upstream bugfix release
  * Remove patches that were merged upstream:
    - debian/patches/05_avahi_gobject_pkgconfig.patch
    - debian/patches/60_hurd-fixes.patch
    - debian/patches/70_gobject_libs_typo.patch
    - debian/patches/80_better_poof.patch
    - debian/patches/85_gobject_service_remove_key.patch
  * debian/patches/01_avahi-daemon.conf.patch:
    - Updated. The higher rlimit is now the upstream default
  * debian/libavahi-qt4-1.symbols:
    - Updated. Private symbols are no longer visible.
  * Bump the build-depend on intltool to >= 0.35.0

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 24 Jun 2008 16:41:23 +0200

avahi (0.6.22-5) unstable; urgency=low

  * debian/patches/85_gobject_service_remove_key.patch
    - Added. Fixes a crash when removing a service entry by key using
    avahi-gobject (From upstream svn)

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 13 Jun 2008 12:53:43 +0100

avahi (0.6.22-4) unstable; urgency=low

  [ Michael Biebl ]
  * debian/control
    - Add Build-Depends on pkg-config.
  * debian/avahi-{daemon,dnsconfd}.postinst
    - Remove old start/stop symlinks, so they are properly updated on package
      upgrades.
  * debian/rules
    - Start avahi-daemon at priority 14, stop it at 86.
      Services like CUPS can utilize avahi if it is running, so avahi-daemon
      has to be started earlier in the boot sequence.
    - Start avahi-dnsconfd at priority 16, stop it at 84. avahi-dnsconfd
      requires avahi-daemon, so it has to start after it.

  [ Sjoerd Simons ]
  * debian/patches/01_avahi-daemon.conf.patch
    - Updated. Set the no file rlimit from 30 to 300, making it very unlikely
    that it ever gets hit. (Closes: #461181)
  * Add symbols files for all libraries
  * Update all shlibs files to match the symbols files (Closes: #463677)
  * debian/control, debian/avahi-ui-utils.install
    - Package bvnc and bssh (Closes: #477712)
  * debian/patches/05_avahi_gobject_pkgconfig.patch
    - Use Requires.private in avahi-gobject.pc (From upstream svn)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 01 Jun 2008 00:21:34 +0200

avahi (0.6.22-3) unstable; urgency=low

  [ Sjoerd Simons ]
  * debian/control: Add libavahi-glib-dev to the libavahi-gobject-dev depends
  * debian/control: Remove python-glade2 dependencies from python-avahi. It's
    not needed anymore (Closes: #464411)

  [ Michael Biebl ]
  * debian/control
    - Bump Standards-Version to 3.7.3. No further changes required.
    - Add dependency on python-glade2 to avahi-discover.
    - Remove XB-Python-Version fields. They are not required with
      python-support.
    - Bump python-support build dependency to (>= 0.6) as suggested by the
      python-support documentation.
  * debian/avahi-daemon.init, debian/avahi-dnsconfd.init
    - Fix LSB init header. (Closes: #469990)
      Use $remote_fs instead of $local_fs as the daemon requires /usr to be
      mounted. Remove S from Should-Stop.
  * debian/watch
    - Add a watch file which allows to track new upstream releases.

  [ Sjoerd Simons ]
  * debian/patches/80_better_poof.patch:
    - Added. Improve the poof algorithm to prevent false positives when on a
      unreliable network.

  [ Loic Minier ]
  * Stop shipping bssh and bvnc; these are meant as examples, but would
    require a replace if libavahi-ui would change SONAME; also these show up
    in the menus while we have nicer alternatives now (e.g. vinagre); finally
    these require additional deps which wouldn't be fit for libavahi-ui (bvnc
    requires xvncviewer); see also Launchpad #194749; closes: #461693.
  * Add armel to architecture list; closes: #469854.

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 05 Apr 2008 12:15:29 +0200

avahi (0.6.22-2) unstable; urgency=low

  * Fix typo in the control file (missing ,)
  * debian/avahi-discover.install: Install some forgotten files

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 07 Jan 2008 22:29:08 +0100

avahi (0.6.22-1) unstable; urgency=low

  [ Michael Biebl ]
  * Deprecate the AVAHI_DAEMON_START option and remove it from
    /etc/default/avahi-daemon. Print a warning message in the init script if
    this option is still used.

  [ Sjoerd Simons ]
  * New upstream release
  * debian/patches/70_gobject_libs_typo.patch
    - Added. Fix typo in the Makefiles causing  avahi-gobject build to fail
  * debian/libavahi-common-data.install
    - service-type.db moved to /usr/lib/avahi (Closes: #458851)
  * debian/patches/01_avahi-daemon.conf.patch
    - Updated. Switch on ipv6 support by default
  * Package libavahi-gobject
  * debian/copyright: Updated
  * debian/control: Let libavahi-common3 depend on
    libavahi-common-data (>= 0.6.22)
  * debian/paches/20_avahi-libdns_sd-crash.patch
    - Removed. Fixed upstream

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 03 Jan 2008 17:00:24 +0100

avahi (0.6.21-5) experimental; urgency=low

  * Add a -dbg package; thanks Sam Morris; closes: #379953.
    - Target at experimental to avoid blocking uploads to unstable.
    - Update control.

 -- Loic Minier <lool@dooz.org>  Wed, 28 Nov 2007 17:14:18 +0100

avahi (0.6.21-4) unstable; urgency=low

  * Revert checking DNS on ifup only in avahi-daemon.ifupdown as an ifdown
    might actually reenable avahi properly if the interface was the only
    defining a DNS server with .local; thanks Sjoerd.

 -- Loic Minier <lool@dooz.org>  Wed, 28 Nov 2007 13:33:41 +0100

avahi (0.6.21-3) unstable; urgency=low

  [ Michael Biebl ]
  * debian/control
    + Use new "Homepage:" field to specify the upstream URL.
    + The Vcs-* fields are now officially supported, so remove the XS- prefix.
    + Replace deprecated ${Source-Version} substvar with ${binary:Version}.

  [ Loic Minier ]
  * Only check the DNS on ifup in avahi-daemon.ifupdown, not on ifdown.
  * Add lpia to the list of arches on which not to pass
    --disable-stack-protector to configure.
  * Build avahi-autoipd on lpia.
  * Check the host -- not build -- arch to enable/disable the stack protector;
    thanks Neil Williams; closes: #452859.
  * New patch, 60_hurd-fixes, fixes FTBFS on hurd; thanks Samuel Thibault;
    closes: #438938.
  * Wrap deps, uploaders and build-deps.
  * Add myself to uploaders.
  * Misc whitespace cleanups.
  * Let avahi-daemon depend on bind9-host | host; closes: #433030.
  * Bump up Debhelper compatibility level to 5.

 -- Loic Minier <lool@dooz.org>  Tue, 27 Nov 2007 15:30:15 +0100

avahi (0.6.21-2) unstable; urgency=low

  * debian/patches/20_avahi-libdns_sd-crash.patch
    + Added. Fix a segfault when registering services with libdns_sd before the
      avahi daemon finished starting up (from upstream SVN)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 09 Sep 2007 12:15:55 +0200

avahi (0.6.21-1) unstable; urgency=low

  [ Loic Minier ]
  * Fix "the the" typos in descriptions and use "Qt 3" instead of "Qt3" and
    "Qt 4" instead of "Qt4"; thanks Philippe Cloutier; closes: #434261.

  [ Sjoerd Simons ]
  * New upstream release
  * debian/patches/15_avahi_dns_truncate.patch
    + Removed, fixed upstream
  * debian/patches/20_avahi_remove_ka_conflict.patch:
    + Removed, fixed upstream

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 12 Aug 2007 19:44:01 +0200

avahi (0.6.20-2) unstable; urgency=low

  * debian/patches/15_avahi_dns_truncate.patch:
    + Added. Fix truncating of dns packets when their too big. Could cause
      assertion failures
  * debian/patches/20_avahi_remove_ka_conflict.patch:
    + Added. Don't treat known answers as authorative when they don't match
    our local records.
  * Fix short description of libavahi-ui0 and libavahi-ui-dev

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 10 Jul 2007 21:29:46 +0200

avahi (0.6.20-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Bump build-depend on libdaemon to (>= 0.11)
    + Add depend on python-dbus to python-avahi (Closes: #426365)
  * debian/avahi-autoipd.{ifup,ifdown}:
    + Check for the existance of link-local routes on all interfaces
      and use some nicer grep rules. Thanks Martin F Krafft and  Eloi Granado
      (Closes: #426918)
  * debian/avahi-daemon.preinst:
    + Added. Remove /etc/avahi/etc/{,localtime} on installation, it's should
      no longer be necessary (Closes: #427237)
  * debian/avahi-daemon.init:
    + No longer create /etc/avahi/etc/localtime (Closes: #422368)

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 06 Jul 2007 14:56:24 +0200

avahi (0.6.19-2) unstable; urgency=low

  * debian/control:
    + libavahi-ui-dev must depend on libgtk2.0-dev.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 17 May 2007 14:44:05 +0200

avahi (0.6.19-1) unstable; urgency=low

  * New upstream release
  * debian/libavahi-ui0.install,
    debian/libavahi-ui0.links,
    debian/rules:
    + Update for the new binary names which are upstream now.
  * debian/patches/11_avahi-autoipd.action-add-routes.patch:
    + Fix patch header to patch the real source file and actually apply.
      Thanks to Martin Pitt for noticing.
  * debian/patches/12_avahi-autoipd-dhcp-exit-hook-take-down.patch,
    debian/patches/20_avahi-ui-non-existing-domain-segv.patch,
    debian/patches/25_avahi_fix_desktop_files.patch:
    + Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 17 May 2007 13:48:26 +0200

avahi (0.6.18-5) unstable; urgency=low

  * debian/avahi-daemon.init: Don't report failure when stopping an already
    stopped daemon (Closes: #421928)
  * debian/avahi-daemon-check-dns.sh: Explicitly set $PATH so programs in
    /usr/bin are also found (Closes: #421360)
  * debian/rules, debian/libavahi-ui0.links: Rename zssh and zvnc to bssh and
    bvnc. Upstream will have this renaming in their next release
    (Closes: #421473)

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 03 May 2007 19:06:17 +0200

avahi (0.6.18-4) unstable; urgency=low

  [ Sjoerd Simons ]
  * debian/rules:
    + Ensure that ServiceTypeDatabase.py is generated instead of using the one
      from the tarball (Closes: #420184)
  * debian/avahi-daemon-check-dns.sh:
    + Minimise the number of times the DNS servers are checked for a unicast
      .local domain even more.  (Closes: #419796)
    + Use invoke-rc.d to start/stop avahi as we're a proper sysv init service
      now
  * debian/avahi-daemon.{ifupdown,resolvconf}:
    + Check if avahi-daemon-check-dns.sh is executable before executing it
      (Closes:  #419259)
  * debian/rules:
    + Disable gcc's strack protection on all archs except those that actually
      support it (powerpc s390 sparc amd64 i386). Fixes FTBS on the other
      architectures.
  * debian/patches/25_avahi_fix_desktop_files.patch:
    + Added. Only put at most one main category in one .desktop file. Fixes
      applications turning up in multiple places in the KDE menu. Also move
      zvnc and zssh to the Network category.

  [ Michael Biebl ]
  * Start avahi-daemon and avahi-dnsconfd as regular SysV init scripts.
    (Closes: #396811, #367748, #378114)
    + debian/avahi-daemon.init,
      debian/avahi-dnsconfd.init
      - Added. Based on the upstream init scripts.
      - Add proper LSB headers.
      - Remove reimplementation of LSB logging functions. Depend on lsb-base
        being installed.
      - Use log_daemon_msg instead of log_begin_msg.
      - Remove SVN $Id keyword. (Closes: #354988)
    + debian/avahi-daemon.install,
      debian/avahi-dnsconfd.install
      - Do not install the upstream init script anymore.
    + debian/avahi-daemon.links
      - Remove the symlink /etc/dbus-1/event.d/25avahi-daemon
    + debian/avahi-daemon.postinst
      - Do not restart avahi-daemon manually. dh_installinit takes care of
        that automatically.
    + debian/avahi-daemon.prerm,
      debian/avahi-dnsconfd.{links,postinst,prerm}
      - Removed. Not needed anymore.
    + debian/control
      - Add Depends: lsb-base (>= 3.0-6) to avahi-daemon and avahi-dnsconfd.
    + debian/rules
      - Set DEB_DH_INSTALLINIT_ARGS to start at 24 and stop at 16.
    + debian/patches/03_avahi-daemon-init-unicast-disable.patch
      - Removed, debian/avahi-daemon.init includes this fix directly.
  * debian/rules
    + Remove dh_python call as it is not needed anymore with python-support.
  * debian/control
    + Update the Vcs control field from XS-X-Vcs-Svn to XS-Vcs-Svn.
    + Add XS-Vcs-Browser control field.

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 27 Apr 2007 13:43:07 +0200

avahi (0.6.18-3) unstable; urgency=low

  [ Sjoerd Simons ]
  * debian/avahi-daemon.postinst:
    + Don't let adduser create avahi-daemon's homedir. This prevents it from
      being created with the wrong permissions. (Closes: #419935)

  [ Sebastian Dröge ]
  * debian/patches/20_avahi-ui-non-existing-domain-segv.patch:
    + Patch from upstream SVN (r1448): fix segfault when browsing for services
      on non-existing domains or domains that don't have any services assigned.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 20 Apr 2007 21:05:05 +0200

avahi (0.6.18-2) unstable; urgency=low

  * debian/control,
    debian/libavahi-ui0.install,
    debian/libavahi-ui0.shlibs,
    debian/libavahi-ui-dev.install:
    + Add libavahi-ui package, containing a Gtk widget for browsing services
      and two example programs (zssh, zxvnc) that can be used to browse for
      local ssh or vnc servers.
  * debian/rules:
    + Add libavahi-glib and libavahi-ui to DEB_SHLIBDEPS_INCLUDE

 -- Sebastian Dröge <slomo@ubuntu.com>  Thu, 19 Apr 2007 15:13:03 +0200

avahi (0.6.18-1) unstable; urgency=low

  [ Sjoerd Simons ]
  * debian/patches/13_avahi_big_dns_records.patch
    + Update this patch to the version that was commited upstream

  [ Sebastian Dröge ]
  * New upstream release:
    + debian/patches/12_avahi-generic-records.patch,
      debian/patches/13_avahi_big_dns_records.patch:
      - Dropped, merged upstream.
  * debian/patches/12_avahi-autoipd-dhcp-exit-hook-take-down.patch:
    + Patch by Joey Hess to make ifdown faster again (Closes: #419794)

 -- Sebastian Dröge <slomo@debian.org>  Thu, 19 Apr 2007 07:00:01 +0200

avahi (0.6.17-3) unstable; urgency=low

  * Upload to unstable
  * Merge experimental branch

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 09 Apr 2007 22:37:02 +0200

avahi (0.6.17-2) experimental; urgency=low

  * debian/patches/12_avahi-generic-records.patch
    + Added. Fixes the resolving of generic dns records.
      Patch from http://avahi.org/ticket/130
  * debian/patches/13_avahi_big_dns_records.patch
    + Added. Fixes publishing of big dns records.
      Patch from http://avahi.org/ticket/131

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 04 Apr 2007 14:40:35 +0200

avahi (0.6.17-1) experimental; urgency=low

  * New upstream release:
    + Fix bogus comment in init script (Closes: #399234)
    + debian/patches/02_avahi-init-warn.patch,
      debian/patches/04_function_return.patch,
      debian/patches/05_dns_sd_dont_bump_soname.patch,
      debian/patches/06_dont_log_broken_packets.patch,
      debian/patches/07_ia64_unaligned_access.patch,
      debian/patches/08_unicast_ipv6_only.patch,
      debian/patches/09_fionread.patch,
      debian/patches/10_widearea_socket_types.patch,
      debian/patches/12_bogus_static_host_error_message.patch,
      debian/patches/13_NULL_dns_service_refs.patch:
      - Dropped, merged upstream
  * debian/control:
    + Updated to use my debian.org mail address
  * debian/rules:
    + Fix build failure on GNU/kFreeBSD (Closes: #391298)
    + Install more complex example service in
    /usr/share/doc/avahi-daemon/eexamples (Closes: #398623)
  * debian/avahi-daemon.ifupdown:
    + Don't run the avahi-daemon unicast local check while bringing up
      the loopback device; it's not necessary until we bring up a real network
      device, and we do those in the background so they don't hold up the
      boot process. Patch by Scott James Remnant, taken from the Ubuntu
      package
  * debian/python-avahi.install:
    + Ship python module from every python version, not just 2.4. This fixes
      python-avahi for non-2.4 default python versions
  * debian/libavahi-core5.install, debian/libavahi-core5.shlibs,
    debian/control:
    + Updated for new libavahi-core soname

 -- Sebastian Dröge <slomo@debian.org>  Mon,  5 Feb 2007 06:22:21 +0100

avahi (0.6.16-5) unstable; urgency=low

  * debian/avahi-daemon-check-dns.sh: Run ifconfig with LC_ALL=C to make
    .local detection work for all locales (Closes: #415160)

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 17 Mar 2007 13:30:05 +0100

avahi (0.6.16-4) unstable; urgency=low

  * Bump version number to be greater then the one in testing-proposed-updates
    (0.6.16-3etch0)

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 15 Mar 2007 10:59:15 +0100

avahi (0.6.16-3) unstable; urgency=low

  * Move .local detection code to a common script. Also minize the cases where
    host lookups are done, fixing annoying slowdowns (Closes: #409513)
  * Add a way to disable the .location detection code completely for the cases
    we can't work around. (Closes: #406272)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun,  4 Mar 2007 20:52:53 +0100

avahi (0.6.16-2) unstable; urgency=low

  * debian/patches/02_avahi-daemon-init-unicast-disable.patch
    - Renamed to 03_avahi-daemon-init-unicast-disable.patch
  * debian/patches/02_avahi-init-warn.patch
    - Added. Output a warning if avahi-daemon or avahi-dnsconfd are disabled
      via /etc/default (Thanks Laurent Bigonville) (Closes: #405375)
  * debian/patches/03_avahi-daemon-init-unicast-disable.patch
    - Add a warning if avahi-daemon isn't started because of the presence of a
      unicast .local domain.
  * debian/avahi-daemon.ifupdown
    - Log to syslog if disabling avahi.
    - Don't run if resolvconf is installed
  * debian/avahi-daemon.resolvconf
    - Added. Hook script for resolvconf
  * debian/patches/04_function_return.patch
    - Added. Ensure a value is always returned from a non-void function (From
             upstream svn)
  * debian/patches/05_dns_sd_dont_bump_soname.patch
    - Added. Undo the bumping of the micro soname version to keep the soname
             fully in sync with apple's (From upstream svn)
  * debian/patches/06_dont_log_broken_packets.patch
    - Added. Don't log errors from recvmsg if there caused by broken ip
             packets. Fixes log flooding on machines with bad links (From
             upstream svn) (Closes: #386239)
  * debian/patches/07_ia64_unaligned_access.patch
    - Added. Some fixes for unaligned accesses as seen on ia64 (From upstream
             svn)
  * debian/patches/08_unicast_ipv6_only.patch
    - Added. Set the unicast ipv6 socket as ipv6 only, as the linux ipv4 in
             ipv6 misses some control info (From upstream svn)
  * debian/patches/09_fionread.patch
    - Added. It's valid for FIONREAD so handle this instead of throwing a
             warning and failing (From upstream svn)
  * debian/patches/10_widearea_socket_types.patch
    - Added. Only create a unicast ipv4 or ipv6 socket for widecast if
             respectively ipv4 or ipv6 is enabled. (From upstream svn)
  * debian/patches/12_bogus_static_host_error_message.patch
    - Added. Prevent logging of bogus error message when adding static .local
             hosts. (from upstream svn)
  * debian/patches/13_NULL_dns_service_refs.patch
    - Added. Let the bonjour compatibility layer handle NULL services
             references gracefully and don't use the service reference after
             unreffing it.  (From upstream svn)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun,  7 Jan 2007 15:32:56 +0100

avahi (0.6.16-1) unstable; urgency=low

  * New upstream release
  * Uses a SO_PASSCRED-based check of the sending UID on netlink messages
    (Closes: #399766)
  * Removed patches which were merged upstream:
    - debian/patches/09_initscripts-default.patch
    - debian/patches/10_initscripts-scriptname.patch
    - debian/patches/12_dbus1.0.patch
  * Add ifupdown up and post-down hooks to disable avahi if there is a .local
    unicast domain. Based on work from the Ubuntu package by Martin Pitt.
  * debian/patches/02_avahi-daemon-init-unicast-disable.patch
    - Added. Prevent avahi from starting when there is a unicast .local domain

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 28 Dec 2006 20:02:27 +0100

avahi (0.6.15-2) unstable; urgency=low

  * debian/patches/12_dbus1.0.patch:
    + Fix version detection of dbus with version above 1.0. Also don't ever
      call dbus_connection_close on shared connections as this is not allowed
      by the DBus API. Patch from upstream SVN (r1333)

 -- Sebastian Dröge <slomo@ubuntu.com>  Mon, 13 Nov 2006 10:48:48 +0100

avahi (0.6.15-1) unstable; urgency=high

  * New upstream version, urgency=high because of potential security fix:
    + Check that netlink messages actually originate from the kernel and
      not another process
  * debian/patches/02_local-service.patch:
    + Dropped, merged upstream
  * debian/control:
    + Fix the avahi-autoipd description (Closes: #394330)

 -- Sebastian Dröge <slomo@ubuntu.com>  Mon,  6 Nov 2006 17:15:15 +0100

avahi (0.6.14-2) unstable; urgency=low

  [ Sebastian Dröge ]
  * debian/control:
    + Update Standards-Version to 3.7.2
    + Recommend dhcp3-client instead of non-existing dhclient
      (Closes: #392076, #391924)
    + Change QT to Qt in all descriptions (Closes: #384783)
    + Change Maintainer to pkg-utopia team
    + Add XS-X-Vcs-Svn control field
  * debian/control,
    debian/rules:
    + Don't build avahi-autoipd on something else than Linux until it is
      ported (Closes: #391298). Thanks to Aurelien Jarno <aurel32@debian.org>
      for the patch.
  * debian/patches/10_initscripts-scriptname.patch:
    + Set SCRIPTNAME variable in init scripts (Closes: #386957)
  * debian/avahi-daemon.postinst:
    + Add the netdev group unless it's already there (Closes: #385495, #389243)
  * debian/avahi-autoipd.ifup,
    debian/avahi-autoipd.ifdown,
    debian/rules,
    debian/patches/11_avahi-autoipd.action-add-routes.patch:
    + Add ifupdown scripts to set routes to allow communication between
      machines which only have an IPv4LL address assigned and those which
      only have a routable address assigned.
      See http://developer.apple.com/qa/qa2004/qa1357.html for more information.

  [ Sjoerd Simons ]
  * debian/avahi-autoipd.ifup,
    debian/avahi-autoipd.ifdown,
    + Also recognise the NetworkManager method and address family(?!) as valid
    for ipv4ll routes

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 20 Oct 2006 21:55:17 +0200

avahi (0.6.14-1) unstable; urgency=low

  [ Sebastian Dröge ]
  * New upstream release
  * debian/patches/02_static-hosts.patch:
    + Dropped, merged upstream
  * debian/patches/02_local-service.patch:
    + Fix detection whether a service is from the local machine. Patch from
      upstream SVN (r1329)
  * debian/control,
    debian/avahi-autoipd.postinst:
    debian/avahi-autoipd.postrm:
    debian/avahi-autoipd.prerm,
    debian/avahi-autoipd.install:
    + Add new avahi-autoipd package

  [ Sjoerd Simons ]
  * Let libavahi-compat-libdnssd1 recommend libnss-mdns instead of depending
    on it. (Closes: #390614)
  * Install avahi-autoipd's exit hook as zzz_avahi-autoipd to ensure it runs
    last.

 -- Sjoerd Simons <sjoerd@debian.org>  Mon,  2 Oct 2006 21:03:20 +0200

avahi (0.6.13-3) unstable; urgency=low

  [ Sebastian Dröge ]
  * debian/control,
    debian/pyversions:
    + Allow the modules to be used with all supported python versions greater
      or equal to 2.4
  * debian/pycompat:
    + Dropped, not required by policy anymore

  [ Sjoerd Simons ]
  * Make libavahi-compat-libdnssd1 depend on libnss-mdns as it's needed for
    proper operation.
  * debian/clean-la.mk: Copy clean-la.mk from the gnome-pkg-tools packages.
    Removes dependency_libs from the .la file.

 -- Sjoerd Simons <sjoerd@debian.org>  Sun,  3 Sep 2006 19:27:13 +0200


avahi (0.6.13-2) unstable; urgency=low

  * debian/patches/02_static-hosts.patch:
    + Fix assertion failure when using static hosts (Closes: #385297)
      Patch from upstream SVN (r1285)

 -- Sebastian Dröge <slomo@ubuntu.com>  Wed, 30 Aug 2006 18:29:10 +0200

avahi (0.6.13-1) unstable; urgency=low

  * New upstream release
  * debian/libavahi-client3.shlibs,
    debian/libavahi-compat-libdnssd1.shlibs:
    + Bumped for new functions
  * debian/avahi-utils.install,
    debian/avahi-utils.manpages:
    + Added new avahi-set-host-name utility for setting the mDNS hostname

 -- Sebastian Dröge <slomo@ubuntu.com>  Sun, 27 Aug 2006 22:10:05 +0200

avahi (0.6.12-1) unstable; urgency=low

  * New upstream version
  * Bump the shlibs for libavahi-glib and libavahi-client

 -- Sebastian Dröge <slomo@ubuntu.com>  Thu, 27 Jul 2006 15:46:57 +0200

avahi (0.6.11-1) unstable; urgency=low

  [ Sjoerd Simons ]
  * debian/copyright: Obfuscate Lennart poettering's e-mail address on his
    request.
  * Update the python bindings for the new policy.

  [ Sebastian Dröge ]
  * New upstream release
  * debian/patches/09_initscripts-default.patch:
    Add /etc/default/avahi-daemon and /etc/default/avahi-dnsconfd to allow
    disabling of the startup of both daemons (Closes: #349603)

 -- Sjoerd Simons <sjoerd@debian.org>  Thu,  6 Jul 2006 00:49:30 +0200

avahi (0.6.10-1) unstable; urgency=high

  * New upstream release
  * Urgency high, contains security fixes
    - Local DOS via unspecified mDNS name conflicts (CVE-2006-2288)
    - Local buffer overflow in avahi-core (CVE-2006-2289)
  * No longer ship the avahi cli bindings, they now have their own source
    package (Closes: #360881)
  * Don't build-depend on libcap-dev on hurd, kfreebsd-* and netbsd-i386 archs
    (Closes: #360596)
  * Dropped patches that have been applied upstream:
    + debian/patches/02_pthread_flags.patch
    + debian/patches/03_cmsg_too_large.patch
    + debian/patches/04_initscript_log_end_msg.patch
    + debian/patches/05_empty_service_directory.patch
    + debian/patches/07_avahi-sharp_missing_lock.patch
  * debian/patches/99_autotools.patch
    + Not needed anymore
  * Bump libavahi-core3's shlibs

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 10 May 2006 11:02:17 +0200

avahi (0.6.9-8) unstable; urgency=medium

  * Pass --disable-mono --disable-monodoc to configure on ia64 and powerpc.
    This makes the fix in the previous package actually usefull.

 -- Sjoerd Simons <sjoerd@debian.org>  Tue,  4 Apr 2006 00:33:58 +0200

avahi (0.6.9-7) unstable; urgency=medium

  [ Sebastian Dröge ]
  * debian/patches/05_empty_service_directory.patch:
    + updated to use upstream's solution for this which is much cleaner.

  [ Sjoerd Simons ]
  * Urgency medium. Recent version include some big bug-fixes wrt. the testing
    version. (i.e. it actually works on sparc64 and ppc64)
  * Only build the mono library on i386 and amd64 for now. Other architectures
    can't install the mono build-deps currently.

 -- Sjoerd Simons <sjoerd@debian.org>  Tue,  4 Apr 2006 00:02:16 +0200

avahi (0.6.9-6) unstable; urgency=low

  [ Sjoerd Simons ]
  * Also ship docs/NEWS (Closes: #355267)
  * Don't let libavahi-client3 recommend avahi-daemon. Let the end-user apps
    decide if they want to recommend avahi-daemon or not. (Closes: #357416)
  * debian/patches/99_autotools.patch
    + Added. Update the autotools files so
    debian/patches/02_pthread_flags.patch actually has effect. Fixes ftbs on
    mips (Closes: #358304)

  [ Sebastian Dröge ]
  * debian/patches/04_initscript_log_end_msg.patch:
    + Replace exit statements with return, otherwise log_end_msg might not
      be called after d_start. Patch by Benjamin Leipold. (Closes: #358190)
  * debian/patches/05_empty_service_directory.patch:
    + Change the error message that is printed when running the daemon with an
      empty or non-existing /etc/avahi/services directory to an informational
      message as we have no service files installed by default. Also add  that
      this could be caused by an empty service directory. (Closes: #355615)


 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 22 Mar 2006 20:01:46 +0100

avahi (0.6.9-5) unstable; urgency=low

  * debian/patches/03_cmsg_too_large.patch
    + Updated. The previous version undid a fix for alignment on ia64.

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 15 Mar 2006 19:01:15 +0100

avahi (0.6.9-4) unstable; urgency=low

  * debian/patches/03_cmsg_too_large.patch
    + Added. Don't make the cmsg somewhat oversized. Fixes sendmsg returning
    EINVAL on 64 bit machines with 32 bit user space.

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 10 Mar 2006 10:12:02 +0100

avahi (0.6.9-3) unstable; urgency=low

  [ Sebastian Dröge ]
  * Renamed libavahi-cil to libavahi1.0-cil to conform with the CLI policy

  [ Sjoerd Simons ]
  * Fix typo in libavahi-core4's description (Closes: #355402)
  * debian/patches/02_pthread_flags.patch
    + Added. Check how gcc handles -pthread in combination with -shared.
    Fixes FTBS on mips{,el}. (Was fixed, but patch was accidentally reverted
    upstream)

 -- Sjoerd Simons <sjoerd@debian.org>  Mon,  6 Mar 2006 17:14:09 +0100

avahi (0.6.9-2) unstable; urgency=low

  * Update shlibs of libavahi-common

 -- Sjoerd Simons <sjoerd@debian.org>  Sat,  4 Mar 2006 10:36:51 +0100

avahi (0.6.9-1) unstable; urgency=low

  * New upstream release
  * Added me to Uploaders
  * Fix the permissions of avahi-sharp.dll

 -- Sebastian Dröge <slomo@ubuntu.com>  Thu,  2 Mar 2006 21:21:15 +0100

avahi (0.6.8-2) unstable; urgency=low

  * libavahi-core's soname changed from 3 to 4. As only
    avahi-daemon depends on -core it's not a big problem luckily.
  * Change the package to reflect the soname change (Closes: #354771)

 -- Sjoerd Simons <sjoerd@debian.org>  Wed,  1 Mar 2006 10:23:35 +0100

avahi (0.6.8-1) unstable; urgency=low

  [ Ross Burton ]
  * Package the avahi.hosts(5) manpage
  * Package the hosts conffile

  [ Sjoerd Simons ]
  * New upstream release
  * debian/patches/02_avahi-initscripts.patch
    Applied upstream

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 27 Feb 2006 23:13:05 +0100

avahi (0.6.7-1) unstable; urgency=low

  * New upstream release
  * debian/patches/02_avahi-initscripts.patch
    + Force the load of the capabilities kernel module before starting the
      avahi-daemon. (Closes: #352858)
    + Fix the restart argument of the initscripts

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 15 Feb 2006 20:37:07 +0100

avahi (0.6.6-2) unstable; urgency=low

  * Add libcap-dev to the build-depends to enable chroot() support
    (Closes: #351699)
  * Update the avahi-dnsconfd description (Closes: 351273)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 12 Feb 2006 20:12:23 +0100

avahi (0.6.6-1) unstable; urgency=low

  * New upstream release
  * s/Bonyour/Bonjour/ in libdnssd package descriptions (Closes: #349408)
  * debian/patches/02_stdlib_NULL.patch
    + Removed. Fixed upstream
  * debian/patches/03_reduce_qt3lib_depends.patch
    + Removed. Fixed upstream
  * debian/patches/04_pthread_flags.patch
    + Removed Fixed upstream
  * Don't let avahi-daemon suggets avahi-dnsconfd

 -- Sjoerd Simons <sjoerd@debian.org>  Thu,  2 Feb 2006 21:11:34 +0100

avahi (0.6.4-2) unstable; urgency=low

  * debian/patches/04_pthread_flags.patch
    + Added. Check how gcc handles -pthread in combination with -shared.
    Fixes FTBS on mips{,el}.
  * Add --disabled-password to adduser options in postinst

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 20 Jan 2006 10:40:27 +0100

avahi (0.6.4-1) unstable; urgency=low

  * New upstream release
  * Make python2.4-avahi depend on python2.4-glade (Closes: #348284)
  * debian/patches/02_avahi-sharp-mono1.1.13.patch
    + Removed. Fixed upstream
  * debian/patches/02_stdlib_NULL.patch
    + Added. To use NULL on GNU/kFreeBSD <stdlib.h> needs to be included
    (Thanks Aurelien Jarno) (Closes: #348405)
  * debian/patches/03_reduce_qt3lib_depends.patch
    + Added. Change avahi-qt3.pc to have qt3-mt in Requires.private instead of
    Requires (Thanks Isaac Clerencia) (Closes: #347710)
  * Make libavahi-client-dev depend on libdbus-1-dev

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 17 Jan 2006 11:26:51 +0100

avahi (0.6.3-3) unstable; urgency=low

  * debian/patches/02_avahi-sharp-mono1.1.13.patch
    + Added. Compatibility fixes for mono 1.1.13.

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 13 Jan 2006 14:03:59 +0100

avahi (0.6.3-2) unstable; urgency=low

  * Add ia64 to the architectures that build-depend on the mono stuff

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 12 Jan 2006 11:08:42 +0100

avahi (0.6.3-1) unstable; urgency=low

  * New upstream release (Closes: 347385)
  * debian/patches/01_dbus060_compatibility.patch
    + Removed. Fixed upstream
  * debian/patches/02_avahi-sharp.patch
    + Removed. Fixed upstream
  * Don't build mono stuff on archs that don't support it (Closes: 347383)
  * GNU dbm files aren't arch independent so libavahi-common-data must be an
    arch: any package
  * debian/patches/01_avahi-daemon.conf.patch
    + Added. Don't browse any extra domains by default
  * Add libavahi-client-dev depend to libavahi-compat-howl-dev
    and libavahi-compat-libdnssd-dev (Closes: 347247)

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 12 Jan 2006 00:23:42 +0100

avahi (0.6.1-4) unstable; urgency=low

  * Upload to unstable

 -- Sjoerd Simons <sjoerd@debian.org>  Thu,  5 Jan 2006 22:13:55 +0100

avahi (0.6.1-2) experimental; urgency=low

  * Let libavahi-common-data conflict with libavahi-common0
  * Switch avahi-utils from Arch all to Arch any (Closes: #344354)
  * avahi/debian/patches/02_avahi-sharp.patch
    + Added. Fix avahi-sharp.dll.config.in to use libavahi-glib.so.1 instead
      of libavahi-glib.so.0 (From avahi upstream svn)
  * Add ${shlibds:Depends} to the avahi-utils depends.
  * Add debian/libavahi-client3/usr/lib to dh_shlibdeps includes
  * Also ship the avahi-browse-domains symlink
  * Fix the avahi-discover description
  * Have avahi-daemon depend on dbus (>= 0.60)
  * Fix libavahi-cil depends
  * Add libavahi-common-data to python2.4-avahi depends
  * Update FSF address in copyright

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 22 Dec 2005 20:02:11 +0100

avahi (0.6.1-1) experimental; urgency=low

  [ Sjoerd Simons ]
  * New upstream release (closes: #341685)
  * Depend on dbus >= 0.50-3 so we can use force-reload to have dbus reload
    configuration.
  * Create packages for howl and Apple Bonyour compatibility libraries
  * Split out common data into libavahi-common-data
  * Split out avahi-discover into it's own package
  * Symlink /usr/include/avahi-compat-libdns_sd/dns_sd.h to
    /usr/include/dns_sd.h for API compatability
  * debian/patches/01_dbus060_compatibility.patch
    + Added. Enables build against dbus 0.60 (from upstream svn)
  * Update debian/copyright
  * Add myself to Uploaders

  [ Ross Burton ]
  * Add debian/watch

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 19 Dec 2005 16:25:53 +0100

avahi (0.5.2-4) experimental; urgency=low

  * Add python2.4-gdbm dependency to python2.4-avahi (closes: #336900)
  * Build monodoc manual (thanks Sebastian Dröge)

 -- Ross Burton <ross@debian.org>  Wed,  2 Nov 2005 08:49:48 +0000

avahi (0.5.2-3) experimental; urgency=low

  * Move all packages to their correct section (closes: #334565)

 -- Ross Burton <ross@debian.org>  Tue, 18 Oct 2005 19:05:22 +0100

avahi (0.5.2-2) experimental; urgency=low

  * -daemon depends on dbus-1-utils, and allow dbus-send to fail (Trent Lloyd).
  * -utils recommends python2.4-glad2, and explain the recommends (TL).

 -- Ross Burton <ross@debian.org>  Mon, 10 Oct 2005 10:20:05 +0100

avahi (0.5.2-1) experimental; urgency=low

  * New upstream release.
  * Change mono package to arch all.

 -- Ross Burton <ross@debian.org>  Mon,  3 Oct 2005 20:08:52 +0100

avahi (0.5-1) experimental; urgency=low

  [ Ross Burton ]
  * Update for new library versions
  * Added libavahi-cil mono bindings (thanks Andrew Mitchell)
  * Build for Debian Experimental (closes: #324990)
  * Split out python2.4-avahi
  * Add QT3 and QT4 bindings
  * Reload D-BUS configuration files and daemons on install
  * Fix daemon prerm
  * Add maintainer scripts for dnsconfd
  * Move the avahi user's home directory
  * Move .pc files to -dev packages

  [ Sjoerd Simons ]
  * New upstream release

 -- Ross Burton <ross@debian.org>  Fri, 30 Sep 2005 12:16:39 +0100

avahi (0.2-0ubuntu1) breezy; urgency=low

  * New upstream version.
  * Thanks to Trent Lloyd for the work
    - Dropped all old patches, now merged upstream.
    - Added new patch avahi-dnsconfd-crash.patch, fix from upstream.

 -- Ross Burton <ross@debian.org>  Tue, 30 Aug 2005 09:13:46 +0100

avahi (0.1-1) breezy; urgency=low

  * First upload.
  * Thanks to Trent Lloyd for reviewing the packages.

 -- Ross Burton <ross@debian.org>  Tue, 23 Aug 2005 09:29:46 +0100
